#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <KConfigDialog>

class ConfigDialogBase;

class ConfigDialog : public KConfigDialog
{
public:
    ConfigDialog(QWidget *parent,
                 const char *name,
                 KConfigSkeleton *config);

    void addPage(ConfigDialogBase *page, const QString &itemName,
                 const QString &pixmapName = QString(),
                 const QString &header = QString(), bool manage = true);

public Q_SLOTS:
    void show(const QString &page);

private:
    QMap<QString, KPageWidgetItem*> m_pageMap;
};

#endif // CONFIGDIALOG_H
