#ifndef FTPCONFIG_H
#define FTPCONFIG_H

#include "configdialogbase.h"

namespace Ui {
    class FtpConfig;
}

class FtpConfig : public ConfigDialogBase
{
    Q_OBJECT

public:
    explicit FtpConfig(QWidget *parent = 0);
    ~FtpConfig();

protected Q_SLOTS:
    void updateDefaultPort();
    void toggleUseClipboard(const int checkBoxState);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::FtpConfig *ui;
};

#endif // FTPCONFIG_H
